Busy Plugin - Defect #411

Make variables immutable (final) where possible to ensure thread-safety.
01/20/2012 11:04 PM - Corey Puffalt

Status: Closed Start date: 01/20/2012
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

One such case is the "busy" variable in BusyAbstractProvider. It may be worth taking a quick scan through the code to check for
other places where variables could be made immutable.

Thanks.

History

#1 - 01/20/2012 11:07 PM - Corey Puffalt

See also thread at http:/forum.servoy.com/viewtopic.php?f=15&t=17610 for details.

#2 - 01/24/2012 05:56 AM - Patrick Talbot

- Status changed from New to Closed

v2.2.1 made all sensible properties final to prevent any threading issues
